<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\Kurs;


class WssFieldKursKursstatus extends \Kufer\Web\KuferTools\Utils\WssField\WssField
{
  protected function getValue($datamodulWert, $isFormular = false)
  {
    $kursstatus = $this->getKursStatus($datamodulWert);

    return $kursstatus->langtext;
  }

  protected function getKursStatus($datamodulWert)
  {
    if ($datamodulWert->getVarValueEx('ausfall', 'kurs')) {
      return $this->getAusfallStatus();
    }

    $dbwHlKursstatus = new \DBWorkHLKursstatus(1, true);

    return $dbwHlKursstatus->getOneByWert($datamodulWert->getVarValueEx('abschluss', 'kurs'));
  }

  protected function getAusfallStatus()
  {
    $kursstatus = new \HLKursstatus();
    $kursstatus->wert = 'A';
    $kursstatus->langtext = 'ausgefallen';
    $kursstatus->farbe = 255; 

    return $kursstatus;
  }
}